/* General styles for the service rate section */
.serviceRateContent .container {
    max-width: 1200px;
    margin: 50px auto;
    padding: 20px;
}

.serviceRateContent .row {
    display: flex;
    align-items: flex-start;
    justify-content: center;
    margin-bottom: 40px;
    padding-bottom: 80px;
}

.serviceRateContent .text-wrapper {
    display: flex;
    justify-content: space-between;
    width: 80%;
    gap: 20px;
}

.serviceRateContent .title {
    flex: 0 0 30%;
    max-width: 30%;
    text-align: left;
    padding-right: 20px;
}

.serviceRateContent .title h2 {
    font-size: 36px;
    margin-bottom: 20px;
    font-weight: bold;
}

.serviceRateContent .text {
    flex: 0 0 50%;
    max-width: 70%;
    display: flex;
    flex-wrap: wrap;
    /*gap: 10px;*/
}

.serviceRateContent .top-title {
    flex: 0 0 50%;
    max-width: 70%;
    /* display: flex; */
    flex-wrap: wrap;
    grid-gap: 10px;
    gap: 10px;
}

.serviceRateContent .text p,
.serviceRateContent .top-title p {
    font-size: 18px;
    width: 100%;
    /* margin: 5px 0; */
    font-weight: 600;
}

.serviceRateContent .text span,
.serviceRateContent .top-title span {
    font-size: 18px;
}


.serviceRateContent .text p svg {
    color: green;
    margin-right: 10px;
}

.serviceRateContent .btn-wrapper .green-button {
    padding: .7rem 2rem;
    margin-left: -0.2vw;
}

/* modified code */
.serviceRate a {
    width: 100%;
}

/* Responsive Design */
@media (max-width: 1200px) {
    .serviceRateContent .row {
        flex-direction: column;
    }

    .serviceRateContent .text-wrapper {
        flex-direction: column;
    }

    .serviceRateContent .title,
    .serviceRateContent .text,
    .serviceRateContent .top-title {
        max-width: 100%;
        flex: 1 1 100%;
        margin: auto;
        padding: 10px;
    }

    .serviceRateContent .text p,
    .serviceRateContent .top-title p {
        width: 100%;
    }
}

@media (max-width: 768px) {
    .serviceRateContent .title h2 {
        font-size: 32px;
    }

    .serviceRateContent .text p,
    .serviceRateContent .top-title p {
        font-size: 16px;
    }
}

@media (max-width: 480px) {
    .serviceRateContent .title h2 {
        font-size: 28px;
    }

    .serviceRateContent .text p,
    .serviceRateContent .top-title p {
        font-size: 14px;
    }
}